visrec.ri.spi

## Class DefaultClassifierService

- java.lang.Object
- - visrec.ri.spi.DefaultClassifierService

All Implemented Interfaces:
  javax.visrec.spi.ClassifierService

    public final class DefaultClassifierService
    extends Object
    implements javax.visrec.spi.ClassifierService

Author:
  Kevin Berendsen

### Constructor Summary

Constructors
Constructor and Description
`DefaultClassifierService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T,R> javax.visrec.ml.classification.Classifier<T,R>` `getBySource(Class<T> sourceType, Class<R> resultMapType)` Creates a `Classifier` by source type and result map type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultClassifierService

    public DefaultClassifierService()

### Method Detail

#### getBySource

    public <T,R> javax.visrec.ml.classification.Classifier<T,R> getBySource(Class<T> sourceType,
                                                                            Class<R> resultMapType)

Creates a `Classifier` by source type and result map type.

Specified by:
  `getBySource` in interface `javax.visrec.spi.ClassifierService`
Type Parameters:
  `T` - source type
  `R` - result map type
Parameters:
  `sourceType` - `Class` object of the source type.
  `resultMapType` - `Class` object of the result map type
Returns:
  `Classifier` found by source type and result map type.